//	Release Version:	$ ODF 2 $
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.

//==========================================================================
#ifndef PIZZA_H
#include "Pizza.h"				//  CPizza
#endif

// ----- OS Layer Includes -----
#ifndef FWOVLSHP_H
#include "FWOvlShp.h"			// FW_COvalShape
#endif

#ifndef FWPICSHP_H
#include "FWPicShp.h"			// FW_CPicture, FW_CPictureShape
#endif

//==========================================================================
CPizza::CPizza(FW_CRect bounds)
 :	fBounds(bounds)
{
}

//--------------------------------------------------------------------------
CPizza::~CPizza()
{
}

//--------------------------------------------------------------------------
void	
CPizza::Draw(FW_CGraphicContext& gc)
{
	FW_COvalShape::RenderOval(gc, fBounds, FW_kFill, FW_kRGBYellow);
	FW_COvalShape::RenderOval(gc, fBounds, FW_kFrame);
}

//--------------------------------------------------------------------------
FW_CRect	
CPizza::GetBounds()
{
	return fBounds;
}
