//	Release Version:	$ ODF 2 $
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.

#ifndef FRAME_H
#define FRAME_H

//=======================================================================
// ----- Framework Includes -----
#ifndef FWFRAME_H
#include <FWFrame.h>		// FW_CFrame
#endif

#ifndef FWRECT_H
#include <FWRect.h>			// FW_CRect
#endif

// ----- OS Layer -----
#ifndef FWEVENT_H
#include "FWEvent.h"		// FW_CMouseEvent
#endif

//=======================================================================
class FW_CMouseEvent;
class CDataContent;

//=======================================================================
class CDataFrame : public FW_CFrame {
public:
	FW_DECLARE_AUTO(CDataFrame)
	
						CDataFrame(Environment* ev, 
									ODFrame* odFrame, 
									FW_CPresentation* presentation, 
									CDataContent* content);
	virtual 			~CDataFrame();
protected:
// overrides
	virtual void		Draw(Environment *ev, 
							 ODFacet* odFacet, 
							 ODShape* invalidShape);
	virtual FW_Handled 	DoMouseDown(Environment* ev, 
								const FW_CMouseEvent& theMouseEvent);
// new members
private:
	CDataContent* 		fDataContent;
	FW_CRect 			fFrameRect;
};

//=======================================================================
#endif
